#ifndef MATRIX_H
#define MATRIX_H

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include "../common/objects.h"
#include "vector.h"
#include "../common/structs.h"
#include "../common/debug.h"

void create_rotation_matrix(double rotation[3][3], double x, double y, double z);
void matrix_mul_vector(vector *out, double rotation[3][3], vector *v);

#endif

